<div class="container">
    <h2>Book a Flight</h2>
    <form [formGroup]="bookingForm" (ngSubmit)="onSubmit()">
      <label for="origin">Origin:</label>
      <input id="origin" formControlName="origin" type="text">
      <div *ngIf="bookingForm.controls['origin'].invalid && (bookingForm.controls['origin'].dirty || bookingForm.controls['origin'].touched)">
        <small>Origin is required.</small>
      </div>
      
      <label for="destination">Destination:</label>
      <input id="destination" formControlName="destination" type="text">
      <div *ngIf="bookingForm.controls['destination'].invalid && (bookingForm.controls['destination'].dirty || bookingForm.controls['destination'].touched)">
        <small>Destination is required.</small>
      </div>
      
      <label for="date">Date:</label>
      <input id="date" formControlName="date" type="date">
      <div *ngIf="bookingForm.controls['date'].invalid && (bookingForm.controls['date'].dirty || bookingForm.controls['date'].touched)">
        <small>Date is required.</small>
      </div>
      
      <button type="submit" [disabled]="bookingForm.invalid">Book</button>
    </form>
  
    <h2>Bookings</h2>
    <table *ngIf="bookings.length > 0" class="styled-table">
      <thead>
        <tr>
          <th>Origin</th>
          <th>Destination</th>
          <th>Date</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let booking of bookings; let i = index">
          <td>{{ booking.origin }}</td>
          <td>{{ booking.destination }}</td>
          <td>{{ booking.date }}</td>
          <td style="padding-bottom: 30px;"><button class="btn-sm" (click)="deleteBooking(i)">Delete</button></td>
        </tr>
      </tbody>
    </table>
    <p *ngIf="bookings.length === 0">No bookings available.</p>
  
    <img src="assets/flight-booking.jpg" alt="Flight">
  </div>
  